!----------------------------------------------------------------------
!     Copyright (c) 2002 Shin-ichi Takehiro. All rights reserved.
!----------------------------------------------------------------------
!表題  SNPACK/ISPACK-F90
!
!履歴  2002/02/02  竹広真一  1 層用
!
!         ・変換する格子点データ, スペクトルデータの配列の大きさは決めうち
!
module snpack_single

  use snpack_2D, sninitial_single => sninitial_2D 

  interface gg_ep
     module procedure gg_ep_2D
  end interface

  interface ep_gg
     module procedure ep_gg_2D
  end interface

  private

  public sninitial_single                     ! 初期化サブルーチン
  public longitude, latitude                  ! 格子座標
  public lon_weight, lat_weight               ! 格子座標重み
  public gg_lon, gg_lat                       ! 格子座標(im,jm)
  public l_nm, nm_l                           ! 波数格納配列
  public gg_ep, ep_gg                         ! 変換関数

end module snpack_single
